<div class="offset">

    {#<!-- 
    {% for i in range(end= current) %}
    <button class="chap_box" id="before"
        onclick="fetch_chapter(`{{manga_id}}`, '{{(loop.index-1)*100}}')">{{(loop.index)}}</button>
    {% endfor %}

    <button class="chap_box" id="current">{{current+1}}</button>

    {% for i in range(start=current+1, end = total) %}
    <button class="chap_box" onclick="fetch_chapter(`{{manga_id}}`, '{{(loop.index+current)*100}}')">{{
        loop.index+current+1}}</button>
    {% endfor %} -->
    #}

    {% for i in range(end=total) %}
    <button class="chap_box" onclick="fetch_chapter(`{{manga_id}}`, '{{(loop.index-1)*100}}')"
    {% if loop.index > current+1 %}
        id="before"
    {% elif loop.index == current+1 %}
    id="current"
    {%endif %}

        >{{(loop.index)}}</button>
    {% endfor %}

</div>

<style>
    .offset {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .chap_box {
        background-color: aqua;
        border: 10px;
        border-radius: 10%;
        cursor: pointer;
        width: 2em;
        height: 2em;
        font-size: 1.5em;
        text-align: center;
        margin: .5em;
    }

    #before {
        background-color: blueviolet;
    }

    #current {
        background-color: orange;

    }
</style>
<h3>Chapters</h3>

<div id="chapter">
    {% for chapter in chapter_list %}

    <div class="chapter_item" id="chapter_item" id="{{chapter.language}}">
        <!-- <div> -->
            <a class="chapter_link"
                href="/manga/{{manga_id}}/{{chapter.chapter_id}}/{{chapter.offset}}/{{chapter.language.lang}}">
                <div class="chapter">
                    {{chapter.chapter_number}} {{chapter.language.flag}}
                    {{chapter.chapter_name}}
                    {{chapter.chapter_id}}
                </div>
            </a>
        <!-- </div> -->
        <!-- the list of translators for the chapter -->
        <div class="tl_group_list">
            {% for group in chapter.tl_group %}
            <div class="group">
                <a href="/group/{{group.id}}/{{group.name}}">Group: {{group.name}}</a>
            </div>
            {% endfor %}
            <div class="updated-at">{{chapter.updated_at}}</div>
        </div>
    </div>

</div>

{% endfor %}
</div>





<style>
    @keyframes spin {
        0% {
            transform: rotate(0deg);
        }

        100% {
            transform: rotate(360deg);
        }
    }
    a {
        color: #3498db;
    }

    .loading {
        border: 16px solid #f3f3f3;
        border-radius: 50%;
        border-top: 16px solid #3498db;
        width: 120px;
        height: 120px;
        -webkit-animation: spin 2s linear infinite;
        /* Safari */
        animation: spin 2s linear infinite;
    }
</style>